/*
 * Copyright 2013 (c) Anna Schumaker.
 */
#ifndef OCARINA_AUDIO_H
#define OCARINA_AUDIO_H

#include <playqueue.h>

extern "C" {
	#include <gst/gst.h>
}

#include <string>

namespace audio
{

	void init(int *, char ***);
	void quit();

	void play();
	void pause();
	void toggle_play();
	void stop();
	void next();
	void previous();
	void load_trackid(unsigned int);
	unsigned int current_trackid();
	Playqueue *get_recent_pq();

	void seek_to(long);
	long position();
	std::string position_str();
	long duration();

	void pause_after(bool, unsigned int);
	bool pause_enabled();
	unsigned int pause_count();
};

#endif /* OCARINA_AUDIO_H */
