/*
 * Copyright 2014 (c) Anna Schumaker.
 */
#include <callback.h>


static void no_op() {}
static void no_op(unsigned int) {}
static void no_op(bool, unsigned int) {}
static void no_op(unsigned int id, library :: Library *path) {}
static void no_op(Playqueue *, unsigned int) {}
static void no_op(Playqueue *) {}
static void no_op(library :: Song &) {}


static struct Callbacks callbacks = {
	.on_play			= no_op,
	.on_pause			= no_op,
	.on_track_loaded		= no_op,
	.on_pause_count_changed		= no_op,

	.on_pq_created			= no_op,
	.on_pq_removed			= no_op,

	.on_library_add			= no_op,
	.on_library_update		= no_op,
	.on_library_track_add		= no_op,
	.on_library_track_del		= no_op,
	.on_library_track_updated	= no_op,
	.on_library_import_ban		= no_op,

	.on_playlist_ban		= no_op,
	.on_playlist_unban		= no_op,

	.on_queue_track_add		= no_op,
	.on_queue_track_del		= no_op,
	.on_queue_track_changed		= no_op,
	.on_queue_changed		= no_op,
};


struct Callbacks *get_callbacks()
{
	return &callbacks;
}
